import * as $dara from '@darabonba/typescript';
import { DescribeInstanceTopologyResponseBody } from "./DescribeInstanceTopologyResponseBody";
export declare class DescribeInstanceTopologyResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeInstanceTopologyResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
